﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek TBS1000B/1000B-EDU (1 yr) DCV Meas VISA /5800
INSTRUMENT:            Sub Tek TBS1000B/1000B-EDU (1 yr) Bandwidth VISA /5800
INSTRUMENT:            Sub Tek TBS1000B/1000B-EDU (1 yr) Trig Sens VISA /5800
DATE:                  2018-09-07 14:58:48
AUTHOR:                Fluke
REVISION:              $Revision: 24923 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       14
NUMBER OF LINES:       580
CONFIGURATION:         Fluke 5800A
=============================================================================
#
#  Procedure Author:
#      PP
#
#  Source(s):
#      TBS1000B and TBS1000B-EDU Series Oscilloscopes
#      Specifications and Performance Verification
#      Technical Reference, PN 077-1025-01, Revision B.*
#      * The tolerances used by this procedure were taken from the published
#      specifications table and is specified below.
#
#  Model(s) Covered:
#      TBS1000B Series
#          TBS1032B, TBS1052B, TBS1072B, TBS1102B, TBS1152B
#		   TBS1202B.
#      TBS1000B-EDU Series
#          TBS1052B-EDU, TBS1072B-EDU, TBS1102B-EDU,
#		   TBS1152B-EDU, TBS1202B-EDU
#
#  Compatibility:
#      MET/CAL 8.0 or later
#
#  Additional Equipment Required:
#      None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  MATH         @Cmd = "*RST;HEADER OFF"
  1.002  CALL         Sub Tek TBS1000B/1000B-EDU Wait for OPC VISA
  1.003  JMPL         END                          @Abort
  1.004  CALL         Sub Tek TBS1000B/1000B-EDU Select Channel VISA

  1.005  JMPL         DCV_MEAS                     PSUB("DCV Meas")
  1.006  JMPL         BANDWIDTH                    PSUB("Bandwidth")
  1.007  JMPL         TRIGGER                      PSUB("Trig Sens")
  1.008  DISP         Subprocedure not found!
  1.009  END

  1.010  EVAL   Increment step number

# =====  Sub Tek TBS1000B/1000B-EDU (1 yr) DCV Meas VISA /5800  =============

  2.001  LABEL        DCV_MEAS
  2.002  HEAD         CH [V @Chan] DC GAIN ACCURACY

  2.003  IF           @Chan == 1
  2.004  RSLT         =
  2.005  RSLT         =DC GAIN ACCURACY
  2.006  ENDIF

  2.007  RSLT         =
  2.008  RSLT         =Channel [V @Chan]
  2.009  RSLT         =
  2.010  RSLT         = 5 mV/div
  2.011  TARGET       -p

  2.012  IF           NOT(@SourceMultiCh)
  2.013  HEAD         -2 5 mV/div
  2.014  DISP         Connect the 58xxA CHAN 1 to the UUT CH [V @Chan].

  2.015  ELSEIF       @Chan == 1 && @SourceMultiCh
  2.016  HEAD         -2 5 mV/div

  2.017  IF           @NumChan == 2
  2.018  DISP         Connect the 58xxA to the UUT as follows:
  2.018  DISP         [32] 58xxA CHAN 1 to UUT CH 1
  2.018  DISP         [32] 58xxA CHAN 2 to UUT CH 2
  2.019  ELSE         ; @NumChan == 4
  2.020  DISP         Connect the 58xxA to the UUT as follows:
  2.020  DISP         [32] 58xxA CHAN 1 to UUT CH 1
  2.020  DISP         [32] 58xxA CHAN 2 to UUT CH 2
  2.020  DISP         [32] 58xxA CHAN 3 to UUT CH 3
  2.020  DISP         [32] 58xxA CHAN 4 to UUT CH 4
  2.021  ENDIF

  2.022  ENDIF

  2.023  VISA         CH[V @Chan]:PRO 1;SCA 5E-3
  2.024  CALL         Sub Tek TBS1000B/1000B-EDU Wait for OPC VISA
  2.025  JMPL         END                          @Abort
  2.026  VISA         ACQ:MOD AVE;NUMAV 16
  2.027  CALL         Sub Tek TBS1000B/1000B-EDU Wait for OPC VISA
  2.028  JMPL         END                          @Abort
  2.029  VISA         MEASU:MEAS[V @Chan]:SOU CH[V @Chan];TYP MEAN
  2.030  CALL         Sub Tek TBS1000B/1000B-EDU Wait for OPC VISA
  2.031  JMPL         END                          @Abort
  2.032  TARGET       -m
  2.033  5800         17.5mV                                         S6 S
# Retrieve the accuracy of positive output of calibrator.
  2.034  MATH         PosAcc = ACCV("Fluke 5800A", "Volts S6", MEM1 * 1E-3)
  2.035  WAIT         -t 7 Settling...
  2.036  VISA         MEASU:MEAS[V @Chan]:VAL?[I]
  2.037  MATH         PosValue = MEM / 1E-3
  2.038  5800         -17.5mV                                        S6 S
# Retrieve the accuracy of negative output of calibrator.
  2.039  MATH         NegAcc = ACCV("Fluke 5800A", "Volts S6", MEM1 * 1E-3)
  2.040  WAIT         -t 7 Settling...
  2.041  VISA         MEASU:MEAS[V @Chan]:VAL?[I]
  2.042  MATH         NegValue = MEM / 1E-3
# RSS uncertainty components and expand to 95% confidence level.
  2.043  MATH         L[1] = RSS2(PosAcc, NegAcc) / CONF("Fluke 5800A") * 2
# Setup system accuracy.
  2.044  MATH         L[1] = L[1] / 1E-3
  2.045  ACC          35.0mV         L1U
  2.046  MATH         MEM = PosValue - NegValue
  2.047  MEMCX        35.0mV         4%

  3.001  RSLT         =
  3.002  HEAD         -2{ 200 mV/div}
  3.003  TARGET       -p
  3.004  VISA         CH[V @Chan]:SCA 200E-3
  3.005  CALL         Sub Tek TBS1000B/1000B-EDU Wait for OPC VISA
  3.006  JMPL         END                          @Abort
  3.007  TARGET       -m
  3.008  5800         700mV                                          S6 S
  3.009  MATH         PosAcc = ACCV("Fluke 5800A", "Volts S6", MEM1 * 1E-3)
  3.010  WAIT         -t 7 Settling...
  3.011  VISA         MEASU:MEAS[V @Chan]:VAL?[I]
  3.012  MATH         PosValue = MEM / 1E-3
  3.013  5800         -700mV                                         S6 S
  3.014  MATH         NegAcc = ACCV("Fluke 5800A", "Volts S6", MEM1 * 1E-3)
  3.015  WAIT         -t 7 Settling...
  3.016  VISA         MEASU:MEAS[V @Chan]:VAL?[I]
  3.017  MATH         NegValue = MEM / 1E-3
  3.018  MATH         L[1] = RSS2(PosAcc, NegAcc) / CONF("Fluke 5800A") * 2
  3.019  MATH         L[1] = L[1] / 1E-3
  3.020  ACC          1400mV         L1U
  3.021  MATH         MEM = PosValue - NegValue
  3.022  MEMCX        mV             3%

  4.001  RSLT         =
  4.002  HEAD         -2{ 2 V/div}
  4.003  TARGET       -p
  4.004  VISA         CH[V @Chan]:SCA 2
  4.005  CALL         Sub Tek TBS1000B/1000B-EDU Wait for OPC VISA
  4.006  JMPL         END                          @Abort
  4.007  TARGET       -m
  4.008  5800         7.00V                                          S6 S
  4.009  MATH         PosAcc = ACCV("Fluke 5800A", "Volts S6", MEM1)
  4.010  WAIT         -t 7 Settling...
  4.011  VISA         MEASU:MEAS[V @Chan]:VAL?[I]
  4.012  MATH         PosValue = MEM
  4.013  5800         -7.00V                                         S6 S
  4.014  MATH         NegAcc = ACCV("Fluke 5800A", "Volts S6", MEM1)
  4.015  WAIT         -t 7 Settling...
  4.016  VISA         MEASU:MEAS[V @Chan]:VAL?[I]
  4.017  MATH         NegValue = MEM
  4.018  MATH         L[1] = RSS2(PosAcc, NegAcc) / CONF("Fluke 5800A") * 2
  4.019  ACC          14.00V         L1U
  4.020  MATH         MEM = PosValue - NegValue
  4.021  MEMCX        V              3%

  5.001  HEAD         -2
  5.002  HEAD
  5.003  5800         *                                                 S
  5.004  END

  5.005  EVAL   Increment step number

# =====  Sub Tek TBS1000B/1000B-EDU (1 yr) Bandwidth VISA /5800  ============

  6.001  LABEL        BANDWIDTH
  6.002  HEAD         CH [V @Chan] BANDWIDTH

  6.003  IF           @Chan == 1
  6.004  RSLT         =
  6.005  RSLT         =BANDWIDTH
  6.006  ENDIF

  6.007  RSLT         =
  6.008  RSLT         =Channel [V @Chan]
  6.009  RSLT         = 500 mV/div
  6.010  TARGET       -p

  6.011  IF           NOT(@SourceMultiCh)
  6.012  HEAD         -2 500 mV/div
  6.013  DISP         Connect the 58xxA CHAN 1 via 50 Ohm feed through
  6.013  DISP         terminator to the UUT CH [V @Chan].

  6.014  ELSEIF       @Chan == 1 && @SourceMultiCh
  6.015  HEAD         -2 500 mV/div

  6.016  IF           @NumChan == 2
  6.017  DISP         Connect the 58xxA to the UUT as follows:
  6.017  DISP
  6.017  DISP         58xxA CHAN 1 to UUT CH 1 via 50 Ohm feed through term.
  6.017  DISP         58xxA CHAN 2 to UUT CH 2 via 50 Ohm feed through term.
  6.018  ELSE         ; @NumChan == 4
  6.019  DISP         Connect the 58xxA to the UUT as follows:
  6.019  DISP
  6.019  DISP         58xxA CHAN 1 to UUT CH 1 via 50 Ohm feed through term.
  6.019  DISP         58xxA CHAN 2 to UUT CH 2 via 50 Ohm feed through term.
  6.019  DISP         58xxA CHAN 3 to UUT CH 3 via 50 Ohm feed through term.
  6.019  DISP         58xxA CHAN 4 to UUT CH 4 via 50 Ohm feed through term.
  6.020  ENDIF

  6.021  ENDIF

  6.022  VISA         CH[V @Chan]:PRO 1;SCA 500E-3
  6.023  CALL         Sub Tek TBS1000B/1000B-EDU Wait for OPC VISA
  6.024  JMPL         END                          @Abort
  6.025  VISA         ACQUIRE:MODE AVERAGE;NUMAVG 16;STATE ON
  6.026  CALL         Sub Tek TBS1000B/1000B-EDU Wait for OPC VISA
  6.027  JMPL         END                          @Abort
  6.028  VISA         TRIG:MAI:EDGE:SOU CH[V @Chan];COUP NOISE
  6.029  CALL         Sub Tek TBS1000B/1000B-EDU Wait for OPC VISA
  6.030  JMPL         END                          @Abort
  6.031  VISA         HOR:SCA 10E-6
  6.032  CALL         Sub Tek TBS1000B/1000B-EDU Wait for OPC VISA
  6.033  JMPL         END                          @Abort
  6.034  VISA         MEASU:MEAS[V @Chan]:SOU CH[V @Chan];TYP PK2
  6.035  CALL         Sub Tek TBS1000B/1000B-EDU Wait for OPC VISA
  6.036  JMPL         END                          @Abort

# Set the output of the calibrator so the peak-to-peak measurement is
# between 2.98 V and 3.02 V.
  6.037  MATH         MEM = 3; MEM1 = MEM

  6.038  DO
  6.039  MATH         MEM = MEM1 + (3 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  6.040  IF           MEM > 5.5 || MEM < 0.005
  6.041  DISP         Calibrator limit reached and DUT measurement is
  6.041  DISP         not 3.00±0.02 Vpp.
  6.041  DISP
  6.041  DISP         Check connections and press Advance to try again.
  6.042  MATH         MEM = 3
  6.043  ENDIF

  6.044  5800         Vpp                          50kH           LS S6 S  L
  6.045  VISA         TRIG:MAI SETL
  6.046  CALL         Sub Tek TBS1000B/1000B-EDU Wait for OPC VISA
  6.047  JMPL         END                          @Abort
  6.048  VISA         [D1000]MEASU:MEAS[V @Chan]:VAL?[I]
  6.049  UNTIL        (MEM >= 2.98) && (MEM <= 3.02)

  6.050  VISA         HOR:SCA 10E-9
  6.051  CALL         Sub Tek TBS1000B/1000B-EDU Wait for OPC VISA
  6.052  JMPL         END                          @Abort
# Last calibrator amplitude setting is in MEM1.
  6.053  MATH         MEM = MEM1

  6.054  IF           @Bandwidth == 30E+6
  6.055  5800         Vpp                          30MH           LS S6 S  L
  6.056  ELSEIF       @Bandwidth == 50E+6
  6.057  5800         Vpp                          50MH           LS S6 S  L
  6.058  ELSEIF       @Bandwidth == 70E+6
  6.059  5800         Vpp                          70MH           LS S6 S  L
  6.060  ELSEIF       @Bandwidth == 100E+6
  6.061  5800         Vpp                          100MH          LS S6 S  L
  6.062  ELSEIF       @Bandwidth == 150E+6
  6.063  5800         Vpp                          150MH          LS S6 S  L
  6.064  ELSEIF       @Bandwidth == 200E+6
  6.065  5800         Vpp                          200MH          LS S6 S  L
  6.066  ELSE
  6.067  DISP         @Bandwidth = [V @Bandwidth] is not supported!
  6.068  MATH         @Abort = 1
  6.069  JMPL         END                          @Abort
  6.070  ENDIF

  6.071  WAIT         -t 5 System settling...
  6.072  VISA         MEASU:MEAS[V @Chan]:VAL?[I]
  6.073  EVAL   -e MEM >= 2.12 : [32]500 mV/div, >= 2.12 Vpp

  7.001  HEAD         -2
  7.002  HEAD
  7.003  5800         *                                                 S
  7.004  END

  7.005  EVAL   Increment step number

# =====  Sub Tek TBS1000B/1000B-EDU (1 yr) Trig Sens VISA /5800  ============

  8.001  LABEL        TRIGGER
  8.002  HEAD         CH [V @Chan] EDGE-TRIGGER SENSITIVITY

  8.003  IF           @Chan == 1
  8.004  RSLT         =
  8.005  RSLT         =EDGE-TRIGGER SENSITIVITY
  8.006  ENDIF

  8.007  RSLT         =
  8.008  RSLT         =Channel [V @Chan]

  8.009  HEAD         -2 Rising Slope, 1 div at 10 MHz
  8.010  TARGET
  8.011  VISA         CH[V @Chan]:PRO 1;SCA 500E-3
  8.012  CALL         Sub Tek TBS1000B/1000B-EDU Wait for OPC VISA
  8.013  JMPL         END                          @Abort
  8.014  VISA         TRIG:MAI:MOD NORM;EDGE:SOU CH[V @Chan]
  8.015  CALL         Sub Tek TBS1000B/1000B-EDU Wait for OPC VISA
  8.016  JMPL         END                          @Abort
  8.017  VISA         HOR:SCA 25E-9
  8.018  CALL         Sub Tek TBS1000B/1000B-EDU Wait for OPC VISA
  8.019  JMPL         END                          @Abort
  8.020  VISA         MEASU:MEAS[V @Chan]:SOU CH[V @Chan];TYP PK2
  8.021  CALL         Sub Tek TBS1000B/1000B-EDU Wait for OPC VISA
  8.022  JMPL         END                          @Abort
  8.023  VISA         ACQ:MOD SAMP;STATE ON
  8.024  CALL         Sub Tek TBS1000B/1000B-EDU Wait for OPC VISA
  8.025  JMPL         END                          @Abort

# First set the output of the calibrator so the peak-to-peak measurement is
# approximately 1000 mV (twice of required test signal).
  8.026  MATH         MEM = 1000; MEM1 = MEM

  8.027  DO
  8.028  MATH         MEM = MEM1 + (1000 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  8.029  IF           MEM > 5500 || MEM < 5
  8.030  DISP         Calibrator limit reached and DUT measurement is
  8.030  DISP         not 1000±20 mVpp.
  8.030  DISP
  8.030  DISP         Check connections and press Advance to try again.
  8.031  MATH         MEM = 1000
  8.032  ENDIF

  8.033  DO
  8.034  5800         mVpp                         10MH           LS S6 S  L
  8.035  VISA         [D1000]TRIG:MAI SETL
  8.036  CALL         Sub Tek TBS1000B/1000B-EDU Wait for OPC VISA
  8.037  JMPL         END                          @Abort
# Check the status of trigger
  8.038  VISA         [D500]TRIG:STATE?[I$]
  8.039  UNTIL        FINDI(MEM2, "TRIG", 1)

  8.040  VISA         MEASU:MEAS[V @Chan]:VAL?[I]
  8.041  MATH         MEM = MEM / 1E-3
  8.042  UNTIL        (MEM >= 980) && (MEM <= 1020)

# Then attenuate the output of calibrator to half so the input of UUT is
# is approximately 500 mVpp which is the required test signal for trig
# sensitivity (1 div at 10 MHz).
  8.043  MATH         MEM = MEM1 / 2
  8.044  5800         mVpp                         10MH           LS S6 S  L
  8.045  MATH         mVppStd = MEM1
  8.046  VISA         TRIG:MAI SETLEV
  8.047  CALL         Sub Tek TBS1000B/1000B-EDU Wait for OPC VISA
  8.048  JMPL         END                          @Abort
# Save the peak value of signal for later checking the trigger status.
  8.049  MATH         @PeakValue = mVppStd / 2 * 1E-3
  8.050  CALL         Sub Tek TBS1000B/1000B-EDU Trig Chk and Level Adj VISA
  8.051  MATH         RsltStr = " Rising Slope, 1 div at 10 MHz"
  8.052  EVAL   -e @Triggered : [V RsltStr]

  9.001  HEAD         -2 Falling Slope, 1 div at 10 MHz
  9.002  MATH         MEM = mVppStd
  9.003  5800         mVpp                         10MH           LS S6 S  L
  9.004  VISA         TRIG:MAI:EDGE:SLO FALL
  9.005  CALL         Sub Tek TBS1000B/1000B-EDU Wait for OPC VISA
  9.006  JMPL         END                          @Abort
  9.007  CALL         Sub Tek TBS1000B/1000B-EDU Trig Chk and Level Adj VISA
  9.008  MATH         RsltStr = " Falling Slope, 1 div at 10 MHz"
  9.009  EVAL   -e @Triggered : [V RsltStr]

 10.001  VISA         TRIG:MAI:EDGE:SLO RISE
 10.002  CALL         Sub Tek TBS1000B/1000B-EDU Wait for OPC VISA
 10.003  JMPL         END                          @Abort

 10.004  IF           @Bandwidth == 30E+6
 10.005  MATH         FreqMHz = "30 MHz"
 10.006  ELSEIF       @Bandwidth == 50E+6
 10.007  MATH         FreqMHz = "50 MHz"
 10.008  ELSEIF       @Bandwidth == 70E+6
 10.009  MATH         FreqMHz = "70 MHz"
 10.010  ELSEIF       @Bandwidth == 100E+6
 10.011  MATH         FreqMHz = "100 MHz"
 10.012  ELSEIF       @Bandwidth == 150E+6
 10.013  MATH         FreqMHz = "150 MHz"
 10.014  ELSEIF       @Bandwidth == 200E+6
 10.015  MATH         FreqMHz = "200 MHz"
 10.016  ELSE
 10.017  DISP         @Bandwidth = [V @Bandwidth] is not supported!
 10.018  MATH         @Abort = 1
 10.019  JMPL         END                          @Abort
 10.020  ENDIF

 10.021  HEAD         -2 Rising Slope, 1.5 div at [V FreqMHz]
 10.022  VISA         HOR:SCA 10E-9
 10.023  CALL         Sub Tek TBS1000B/1000B-EDU Wait for OPC VISA
 10.024  JMPL         END                          @Abort

# First set the output of the calibrator so the peak-to-peak measurement is
# approximately 1500 mV (twice of required test signal).
 10.025  MATH         MEM = 1500; MEM1 = MEM

 10.026  DO
 10.027  MATH         MEM = MEM1 + (1500 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
 10.028  IF           MEM > 5500 || MEM < 5
 10.029  DISP         Calibrator limit reached and DUT measurement is
 10.029  DISP         not 1500±20 mVpp.
 10.029  DISP
 10.029  DISP         Check connections and press Advance to try again.
 10.030  MATH         MEM = 1500
 10.031  ENDIF

 10.032  DO

 10.033  IF           @Bandwidth == 30E+6
 10.034  5800         Vpp                          30MH           LS S6 S  L
 10.035  ELSEIF       @Bandwidth == 50E+6
 10.036  5800         Vpp                          50MH           LS S6 S  L
 10.037  ELSEIF       @Bandwidth == 70E+6
 10.038  5800         Vpp                          70MH           LS S6 S  L
 10.039  ELSEIF       @Bandwidth == 100E+6
 10.040  5800         Vpp                          100MH          LS S6 S  L
 10.041  ELSEIF       @Bandwidth == 150E+6
 10.042  5800         Vpp                          150MH          LS S6 S  L
 10.043  ELSEIF       @Bandwidth == 200E+6
 10.044  5800         Vpp                          200MH          LS S6 S  L
 10.045  ENDIF

 10.046  VISA         [D1000]TRIG:MAI SETL
 10.047  CALL         Sub Tek TBS1000B/1000B-EDU Wait for OPC VISA
 10.048  JMPL         END                          @Abort
# Check the status of trigger
 10.049  VISA         [D500]TRIG:STATE?[I$]
 10.050  UNTIL        FINDI(MEM2, "TRIG", 1)

 10.051  VISA         MEASU:MEAS[V @Chan]:VAL?[I]
 10.052  MATH         MEM = MEM / 1E-3
 10.053  UNTIL        (MEM >= 1480) && (MEM <= 1520)

# Then attenuate the output of calibrator to half so the input of UUT is
# approximately 750 mVpp which is the required test signal for trig
# sensitivity (1.5 div at specific frequency).
 10.054  MATH         MEM = MEM1 / 2

 10.055  IF           @Bandwidth == 30E+6
 10.056  5800         Vpp                          30MH           LS S6 S  L
 10.057  ELSEIF       @Bandwidth == 50E+6
 10.058  5800         Vpp                          50MH           LS S6 S  L
 10.059  ELSEIF       @Bandwidth == 70E+6
 10.060  5800         Vpp                          70MH           LS S6 S  L
 10.061  ELSEIF       @Bandwidth == 100E+6
 10.062  5800         Vpp                          100MH          LS S6 S  L
 10.063  ELSEIF       @Bandwidth == 150E+6
 10.064  5800         Vpp                          150MH          LS S6 S  L
 10.065  ELSEIF       @Bandwidth == 200E+6
 10.066  5800         Vpp                          200MH          LS S6 S  L
 10.067  ENDIF

 10.068  MATH         mVppStd = MEM1
# Save the peak value of signal for later checking the trigger status.
 10.069  MATH         @PeakValue = mVppStd / 2 * 1E-3
 10.070  CALL         Sub Tek TBS1000B/1000B-EDU Trig Chk and Level Adj VISA
 10.071  MATH         RsltStr = " Rising Slope, 1.5 div at " & FreqMHz
 10.072  EVAL   -e @Triggered : [V RsltStr]

 11.001  HEAD         -2 Falling Slope, 1.5 div at [V FreqMHz]
 11.002  MATH         MEM = mVppStd

 11.003  IF           @Bandwidth == 30E+6
 11.004  5800         Vpp                          30MH           LS S6 S  L
 11.005  ELSEIF       @Bandwidth == 50E+6
 11.006  5800         Vpp                          50MH           LS S6 S  L
 11.007  ELSEIF       @Bandwidth == 70E+6
 11.008  5800         Vpp                          70MH           LS S6 S  L
 11.009  ELSEIF       @Bandwidth == 100E+6
 11.010  5800         Vpp                          100MH          LS S6 S  L
 11.011  ELSEIF       @Bandwidth == 150E+6
 11.012  5800         Vpp                          150MH          LS S6 S  L
 11.013  ELSEIF       @Bandwidth == 200E+6
 11.014  5800         Vpp                          200MH          LS S6 S  L
 11.015  ENDIF

 11.016  VISA         TRIG:MAI:EDGE:SLO FALL
 11.017  CALL         Sub Tek TBS1000B/1000B-EDU Wait for OPC VISA
 11.018  JMPL         END                          @Abort
 11.019  CALL         Sub Tek TBS1000B/1000B-EDU Trig Chk and Level Adj VISA
 11.020  MATH         RsltStr = " Falling Slope, 1.5 div at " & FreqMHz
 11.021  EVAL   -e @Triggered : [V RsltStr]

 12.001  VISA         TRIG:MAI:EDGE:SLO RISE
 12.002  CALL         Sub Tek TBS1000B/1000B-EDU Wait for OPC VISA
 12.003  JMPL         END                          @Abort

# For DUT whose bandwidth is 150 MHz and 200 MHz do additional test.
 12.004  IF           @Bandwidth == 150E+6 || @Bandwidth == 200E+6
 12.005  HEAD         -2 Rising Slope, 2 div at 150 MHz
# First set the output of the calibrator so the peak-to-peak measurement is
# approximately 1500 mV (1.5 times of required test signal).
 12.006  MATH         MEM = 1500; MEM1 = MEM

 12.007  DO
 12.008  MATH         MEM = MEM1 + (1500 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
 12.009  IF           MEM > 5500 || MEM < 5
 12.010  DISP         Calibrator limit reached and DUT measurement is
 12.010  DISP         not 1500±20 mVpp.
 12.010  DISP
 12.010  DISP         Check connections and press Advance to try again.
 12.011  MATH         MEM = 1500
 12.012  ENDIF

 12.013  DO
 12.014  5800         mVpp                         150MH          LS S6 S  L
 12.015  VISA         [D1000]TRIG:MAI SETL
 12.016  CALL         Sub Tek TBS1000B/1000B-EDU Wait for OPC VISA
 12.017  JMPL         END                          @Abort
# Check the status of trigger
 12.018  VISA         [D500]TRIG:STATE?[I$]
 12.019  UNTIL        FINDI(MEM2, "TRIG", 1)

 12.020  VISA         MEASU:MEAS[V @Chan]:VAL?[I]
 12.021  MATH         MEM = MEM / 1E-3
 12.022  UNTIL        (MEM >= 1480) && (MEM <= 1520)

# Then attenuate the output of calibrator so the input of UUT is approximately
# 1000 mVpp which is the required test signal for trig sensitivity (2 div
# at 150 MHz).
 12.023  MATH         MEM = MEM1 / 1.5
 12.024  5800         mVpp                         150MH          LS S6 S  L
 12.025  MATH         mVppStd = MEM1
# Save the peak value of signal for later checking the trigger status.
 12.026  MATH         @PeakValue = mVppStd / 2 * 1E-3
 12.027  CALL         Sub Tek TBS1000B/1000B-EDU Trig Chk and Level Adj VISA
 12.028  MATH         RsltStr = " Rising Slope, 2 div at 150 MHz"
 12.029  EVAL   -e @Triggered : [V RsltStr]

 13.001  HEAD         -2 Falling Slope, 2 div at 150 MHz
 13.002  MATH         MEM = mVppStd
 13.003  5800         mVpp                         150MH          LS S6 S  L
 13.004  VISA         TRIG:MAI:EDGE:SLO FALL
 13.005  CALL         Sub Tek TBS1000B/1000B-EDU Wait for OPC VISA
 13.006  JMPL         END                          @Abort
 13.007  CALL         Sub Tek TBS1000B/1000B-EDU Trig Chk and Level Adj VISA
 13.008  MATH         RsltStr = " Falling Slope, 2 div at 150 MHz"
 13.009  EVAL   -e @Triggered : [V RsltStr]

 14.001  VISA         TRIG:MAI:EDGE:SLO RISE
 14.002  CALL         Sub Tek TBS1000B/1000B-EDU Wait for OPC VISA
 14.003  JMPL         END                          @Abort

 14.004  ENDIF

 14.005  LABEL        END
 14.006  HEAD         -2
 14.007  HEAD
 14.008  5800         *                                                 S
 14.009  END
